;--------------------------------------------------------------------
; Author       : Kevin Dahl                                         :
; Last Revised : June 7, 1986                                       :
;                                                                   :
; FILENAME - V20.ENH                                                :
;                                                                   :
; SETCURSORSIZE                                                     :
;        Set the starting and ending scan lines for the cursor      :
;                                                                   :
; ENTRY                                                             :
;        [bp+4] = start scan line                                   :
;        [bp+6] = ending scan line                                  :
;                                                                   :
; EXIT                                                              :
;        Nothing is returned                                        :
;--------------------------------------------------------------------
setcursorsize proc      near
              push      bp                       ; save stack
              mov       bp,sp
              mov       ah,1                     ; set cursor information
              mov       ch,[bp+4]                ; start scan line
              mov       cl,[bp+6]                ; end scan line
              int       10h                      ; use BIOS services
              mov       sp,bp                    ; restore stack
              pop       bp
              ret       4                        ; remove params from stack
setcursorsize endp
