;--------------------------------------------------------------------
; Author       : Kevin Dahl                                         :
; Last Revised : June 7, 1986                                       :
;                                                                   :
; FILENAME - V13.ENH                                                :
;                                                                   :
; INITVIDEO                                                         :
;        Initialize the video mode.  The screen is blanked.         :
;                                                                   :
; ENTRY                                                             :
;        [bp+4] = video mode to select.  (Range 0-7).  Range value  :
;                 not checked.                                      :
;                                                                   :
; EXIT                                                              :
;        Nothing is returned.                                       :
;--------------------------------------------------------------------
initvideo     proc      near
              push      bp                       ; save stack
              mov       bp,sp
              xor       ax,ax                    ; set ah = 0 for set mode
              mov       al,[bp+4]                ; mode to select
              int       10h
              mov       sp,bp                    ; restore stack
              pop       bp
              ret       2                        ; remove params from stack
initvideo     endp
